package com.huigou.topsun.sap.purchase.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Auther: xin.lu
 * @Date: 2024/01/02/14:07
 * @Description:
 */

public class SapPurchaseVo implements Serializable {
    /**
     * 需求跟踪号
     */
    @JsonProperty("BEDNR")
    private String billCode;
    /**
     * pr类型
     */
    @JsonProperty("BSART")
    private String bsart;

    /**
     * 采购申请编号
     */
    @JsonProperty("BANFN")
    private String banfn;

    /**
     * 申购项次号
     */
    @JsonProperty("BNFPO")
    private Integer bnfpo;

    /**
     * 项次类别
     */
    @JsonProperty("PSTYP")
    private String pstyp;

    /**
     * 科目分配类别
     */
    @JsonProperty("KNTTP")
    private String knttp;

    /**
     * 工厂
     */
    @JsonProperty("WERKS")
    private String werks;

    /**
     * 工厂名称
     */
    @JsonProperty("NAME1")
    private String name1;

    /**
     * 库存地点
     */
    @JsonProperty("LGORT")
    private String lgort;

    /**
     * 库存地点名称
     */
    @JsonProperty("LGOBE")
    private String lgobe;

    /**
     * 物料编号
     */
    @JsonProperty("MATNR")
    private String matnr;

    /**
     * 短文本
     */
    @JsonProperty("TXZ01")
    private String txz01;

    /**
     * 物料组
     */
    @JsonProperty("MATKL")
    private String matkl;

    /**
     * 申购数量
     */
    @JsonProperty("MENGE")
    private BigDecimal menge;

    /**
     * 申购数量单位
     */
    @JsonProperty("MEINS")
    private String meins;

    /**
     * 采购组
     */
    @JsonProperty("EKGRP")
    private String ekgrp;

    /**
     * 申请日期
     */
    @JsonProperty("BADAT")
    private Date badat;

    /**
     * 创建日期
     */
    @JsonProperty("ERDAT")
    private Date erdat;

    /**
     * 批准日期
     */
    @JsonProperty("FRGDT")
    private Date frgdt;

    /**
     * 要求交货日期
     */
    @JsonProperty("LFDAT")
    private Date lfdat;

    /**
     * 服务主数据编号
     */
    @JsonProperty("SRVPOS")
    private String srvpos;

    /**
     * 服务短文本
     */
    @JsonProperty("KTEXT1")
    private String ktext1;

    /**
     * 服务条目数量
     */
    @JsonProperty("ESLL_MENGE")
    private BigDecimal esllMenge;

    /**
     * 服务计量单位
     */
    @JsonProperty("ESLL_MEINS")
    private String esllMeins;

    /**
     * 定价基数
     */
    @JsonProperty("PEINH")
    private Integer peinh;

    /**
     * 服务预估单价
     */
    @JsonProperty("BRTWR")
    private BigDecimal brtwr;

    /**
     * 服务预估金额
     */
    @JsonProperty("NETWR")
    private BigDecimal netwr;

    /**
     * 创建者
     */
    @JsonProperty("ERNAM")
    private String ernam;

    /**
     * 申请人
     */
    @JsonProperty("AFNAM")
    private String afnam;

    /**
     * 评估价格
     */
    @JsonProperty("PREIS")
    private BigDecimal preis;

    /**
     * 价格基数
     */
    @JsonProperty("EBAN_PEINH")
    private Integer ebanPeinh;

    /**
     * 币种
     */
    @JsonProperty("WAERS")
    private String waers;

    /**
     * 评估金额
     */
    @JsonProperty("EBAN_NETWR")
    private BigDecimal ebanNetwr;

    /**
     * 会计分配序号
     */
    @JsonProperty("ZEBKN")
    private Integer zebkn;

    /**
     * 多重科目分配
     */
    @JsonProperty("VRTKZ")
    private String vrtkz;

    /**
     * 部分发票
     */
    @JsonProperty("TWRKZ")
    private String twrkz;

    /**
     * PR分解数量
     */
    @JsonProperty("EKBN_MENGE")
    private Long ekbnMenge;

    /**
     * 总账科目
     */
    @JsonProperty("SAKTO")
    private String sakto;

    /**
     * 成本中心
     */
    @JsonProperty("KOSTL")
    private String kostl;

    /**
     * 订单号
     */
    @JsonProperty("AUFNR")
    private String aufnr;

    /**
     * 主资产号
     */
    @JsonProperty("ANLN1")
    private String anln1;

    /**
     * 子资产号
     */
    @JsonProperty("ANLN2")
    private String anln2;

    /**
     * 审批处理状态
     */
    @JsonProperty("BANPR")
    private String banpr;

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public void setBsart(String bsart) {
        this.bsart = bsart;
    }

    public void setBanfn(String banfn) {
        this.banfn = banfn;
    }

    public void setBnfpo(Integer bnfpo) {
        this.bnfpo = bnfpo;
    }

    public void setPstyp(String pstyp) {
        this.pstyp = pstyp;
    }

    public void setKnttp(String knttp) {
        this.knttp = knttp;
    }

    public void setWerks(String werks) {
        this.werks = werks;
    }

    public void setName1(String name1) {
        this.name1 = name1;
    }

    public void setLgort(String lgort) {
        this.lgort = lgort;
    }

    public void setLgobe(String lgobe) {
        this.lgobe = lgobe;
    }

    public void setMatnr(String matnr) {
        this.matnr = matnr;
    }

    public void setTxz01(String txz01) {
        this.txz01 = txz01;
    }

    public void setMatkl(String matkl) {
        this.matkl = matkl;
    }

    public void setMenge(BigDecimal menge) {
        this.menge = menge;
    }

    public void setMeins(String meins) {
        this.meins = meins;
    }

    public void setEkgrp(String ekgrp) {
        this.ekgrp = ekgrp;
    }

    public void setBadat(Date badat) {
        this.badat = badat;
    }

    public void setErdat(Date erdat) {
        this.erdat = erdat;
    }

    public void setFrgdt(Date frgdt) {
        this.frgdt = frgdt;
    }

    public void setLfdat(Date lfdat) {
        this.lfdat = lfdat;
    }

    public void setSrvpos(String srvpos) {
        this.srvpos = srvpos;
    }

    public void setKtext1(String ktext1) {
        this.ktext1 = ktext1;
    }

    public void setEsllMenge(BigDecimal esllMenge) {
        this.esllMenge = esllMenge;
    }

    public void setEsllMeins(String esllMeins) {
        this.esllMeins = esllMeins;
    }

    public void setPeinh(Integer peinh) {
        this.peinh = peinh;
    }

    public void setBrtwr(BigDecimal brtwr) {
        this.brtwr = brtwr;
    }

    public void setNetwr(BigDecimal netwr) {
        this.netwr = netwr;
    }

    public void setErnam(String ernam) {
        this.ernam = ernam;
    }

    public void setAfnam(String afnam) {
        this.afnam = afnam;
    }

    public void setPreis(BigDecimal preis) {
        this.preis = preis;
    }

    public void setEbanPeinh(Integer ebanPeinh) {
        this.ebanPeinh = ebanPeinh;
    }

    public void setWaers(String waers) {
        this.waers = waers;
    }

    public void setEbanNetwr(BigDecimal ebanNetwr) {
        this.ebanNetwr = ebanNetwr;
    }

    public void setZebkn(Integer zebkn) {
        this.zebkn = zebkn;
    }

    public void setVrtkz(String vrtkz) {
        this.vrtkz = vrtkz;
    }

    public void setTwrkz(String twrkz) {
        this.twrkz = twrkz;
    }

    public void setEkbnMenge(Long ekbnMenge) {
        this.ekbnMenge = ekbnMenge;
    }

    public void setSakto(String sakto) {
        this.sakto = sakto;
    }

    public void setKostl(String kostl) {
        this.kostl = kostl;
    }

    public void setAufnr(String aufnr) {
        this.aufnr = aufnr;
    }

    public void setAnln1(String anln1) {
        this.anln1 = anln1;
    }

    public void setAnln2(String anln2) {
        this.anln2 = anln2;
    }

    public void setBanpr(String banpr) {
        this.banpr = banpr;
    }
}
